#!/bin/sh
# autopkgtest check: build and run with simple test data
# Author: Tatiana Malygina <merlettaia@gmail.com>

set -e

pkg=libzerg0-dev

if [ "$AUTOPKGTEST_TMP" = "" ] ; then
  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
fi

cd $AUTOPKGTEST_TMP

cp -a /usr/share/doc/${pkg}/examples/* .
find . -type f -name "*.gz" -exec gunzip \{\} \;
for lnk in `find . -type l -name "*.gz"` ; do
    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
    rm $lnk
done

echo "Compile and run..."
g++ example.cpp -Wall -lzerg -lm -o example
[ -s example ]
[ -x example ]
./example converged.ali
